Package org.apache.lucene.util.mutable

# Class MutableValueFloat

java.lang.Object
org.apache.lucene.util.mutable.MutableValue
org.apache.lucene.util.mutable.MutableValueFloat

All Implemented Interfaces:
  `Comparable<MutableValue>`

public class MutableValueFloat extends MutableValue
`MutableValue` implementation of type `float`. When mutating instances of this object, the caller is responsible for ensuring that any instance where `exists` is set to `false` must also `value` set to `0.0F` for proper operation.

## Field Summary

Fields
Modifier and Type
Field
Description
`float`
`value`

### Fields inherited from class org.apache.lucene.util.mutable.MutableValue

`exists`

## Constructor Summary

Constructors
Constructor
Description
`MutableValueFloat()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareSameType(Object other)`
`void`
`copy(MutableValue source)`
`MutableValue`
`duplicate()`
`boolean`
`equalsSameType(Object other)`
`int`
`hashCode()`
`Object`
`toObject()`

### Methods inherited from class org.apache.lucene.util.mutable.MutableValue

`compareTo, equals, exists, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### value

public float value

## Constructor Details

### MutableValueFloat

public MutableValueFloat()

## Method Details

### toObject

public Object toObject()

Specified by:
  `toObject` in class `MutableValue`

### copy

public void copy(MutableValue source)

Specified by:
  `copy` in class `MutableValue`

### duplicate

public MutableValue duplicate()

Specified by:
  `duplicate` in class `MutableValue`

### equalsSameType

public boolean equalsSameType(Object other)

Specified by:
  `equalsSameType` in class `MutableValue`

### compareSameType

public int compareSameType(Object other)

Specified by:
  `compareSameType` in class `MutableValue`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in class `MutableValue`